
From: Alasdair G Kergon <agk@redhat.com>

This patch makes some needlessly global code static.

Signed-Off-By: Alasdair G Kergon <agk@redhat.com>
Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/dm-hw-handler.c    |    2 +-
 drivers/md/dm-path-selector.c |    2 +-
 drivers/md/dm-table.c         |    2 +-
 drivers/md/dm-zero.c          |    4 ++--
 4 files changed, 5 insertions(+), 5 deletions(-)

diff -puN drivers/md/dm-hw-handler.c~device-mapper-some-missing-statics drivers/md/dm-hw-handler.c
--- 25/drivers/md/dm-hw-handler.c~device-mapper-some-missing-statics	Wed May  4 15:42:28 2005
+++ 25-akpm/drivers/md/dm-hw-handler.c	Wed May  4 15:42:28 2005
@@ -23,7 +23,7 @@ struct hwh_internal {
 static LIST_HEAD(_hw_handlers);
 static DECLARE_RWSEM(_hwh_lock);
 
-struct hwh_internal *__find_hw_handler_type(const char *name)
+static struct hwh_internal *__find_hw_handler_type(const char *name)
 {
 	struct hwh_internal *hwhi;
 
diff -puN drivers/md/dm-path-selector.c~device-mapper-some-missing-statics drivers/md/dm-path-selector.c
--- 25/drivers/md/dm-path-selector.c~device-mapper-some-missing-statics	Wed May  4 15:42:28 2005
+++ 25-akpm/drivers/md/dm-path-selector.c	Wed May  4 15:42:28 2005
@@ -26,7 +26,7 @@ struct ps_internal {
 static LIST_HEAD(_path_selectors);
 static DECLARE_RWSEM(_ps_lock);
 
-struct ps_internal *__find_path_selector_type(const char *name)
+static struct ps_internal *__find_path_selector_type(const char *name)
 {
 	struct ps_internal *psi;
 
diff -puN drivers/md/dm-table.c~device-mapper-some-missing-statics drivers/md/dm-table.c
--- 25/drivers/md/dm-table.c~device-mapper-some-missing-statics	Wed May  4 15:42:28 2005
+++ 25-akpm/drivers/md/dm-table.c	Wed May  4 15:42:28 2005
@@ -242,7 +242,7 @@ static void free_devices(struct list_hea
 	}
 }
 
-void table_destroy(struct dm_table *t)
+static void table_destroy(struct dm_table *t)
 {
 	unsigned int i;
 
diff -puN drivers/md/dm-zero.c~device-mapper-some-missing-statics drivers/md/dm-zero.c
--- 25/drivers/md/dm-zero.c~device-mapper-some-missing-statics	Wed May  4 15:42:28 2005
+++ 25-akpm/drivers/md/dm-zero.c	Wed May  4 15:42:28 2005
@@ -55,7 +55,7 @@ static struct target_type zero_target = 
 	.map    = zero_map,
 };
 
-int __init dm_zero_init(void)
+static int __init dm_zero_init(void)
 {
 	int r = dm_register_target(&zero_target);
 
@@ -65,7 +65,7 @@ int __init dm_zero_init(void)
 	return r;
 }
 
-void __exit dm_zero_exit(void)
+static void __exit dm_zero_exit(void)
 {
 	int r = dm_unregister_target(&zero_target);
 
_
